<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">

<sqlMap namespace="">

	<typeAlias alias="userbean" type="cn.bsystem.ptuserrole.model.PtyhBean"/>
	<sql id="condition_test">
		where 1=1
		<isNotEmpty prepend='AND ' property='LIKEkhbh'>
			(khbh like '%$LIKEkhbh$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='khbh'>
			(khbh = #khbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyhbh'>
			(yhbh like '%$LIKEyhbh$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yhbh'>
			(yhbh = #yhbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsfgly'>
			(sfgly like '%$LIKEsfgly$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sfgly'>
			(sfgly = #sfgly# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyhzh'>
			(yhzh like '%$LIKEyhzh$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yhzh'>
			(yhzh = #yhzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyhmm'>
			(yhmm like '%$LIKEyhmm$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyhzhLIKEyhmc'>
			(yhzh like '%$LIKEyhzhLIKEyhmc$%' or yhmc like '%$LIKEyhzhLIKEyhmc$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yhmm'>
			(yhmm = #yhmm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyhmc'>
			(yhmc like '%$LIKEyhmc$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yhmc'>
			(yhmc = #yhmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyhmcpy'>
			(yhmcpy like '%$LIKEyhmcpy$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yhmcpy'>
			(yhmcpy = #yhmcpy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyhyxj'>
			(yhyxj like '%$LIKEyhyxj$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yhyxj'>
			(yhyxj = #yhyxj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyhlx'>
			(yhlx like '%$LIKEyhlx$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yhlx'>
			(yhlx = #yhlx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjh'>
			(jh like '%$LIKEjh$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jh'>
			(jh = #jh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzp'>
			(zp like '%$LIKEzp$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zp'>
			(zp = #zp# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEgddh'>
			(gddh like '%$LIKEgddh$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='gddh'>
			(gddh = #gddh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsjhm'>
			(sjhm like '%$LIKEsjhm$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sjhm'>
			(sjhm = #sjhm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEdh'>
			(dh like '%$LIKEdh$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='dh'>
			(dh = #dh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyjdz'>
			(yjdz like '%$LIKEyjdz$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yjdz'>
			(yjdz = #yjdz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzz'>
			(zz like '%$LIKEzz$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zz'>
			(zz = #zz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEms'>
			(ms like '%$LIKEms$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ms'>
			(ms = #ms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyhzt'>
			(yhzt like '%$LIKEyhzt$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yhzt'>
			(yhzt = #yhzt# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsfjs'>
			(sfjs like '%$LIKEsfjs$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sfjs'>
			(sfjs = #sfjs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbmbh'>
			(bmbh like '%$LIKEbmbh$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bmbh'>
			(bmbh = #bmbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEkhdlmtsjtx'>
			(khdlmtsjtx like '%$LIKEkhdlmtsjtx$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='khdlmtsjtx'>
			(khdlmtsjtx = #khdlmtsjtx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEdnkhdxdlkg'>
			(dnkhdxdlkg like '%$LIKEdnkhdxdlkg$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='dnkhdxdlkg'>
			(dnkhdxdlkg =#dnkhdxdlkg# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsjkhdxdlkg'>
			(sjkhdxdlkg like '%$LIKEsjkhdxdlkg$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sjkhdxdlkg'>
			(sjkhdxdlkg = #sjkhdxdlkg# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEdnusbkeydlkg'>
			(dnusbkeydlkg like '%$LIKEdnusbkeydlkg$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='dnusbkeydlkg'>
			(dnusbkeydlkg = #dnusbkeydlkg# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEdtdxfszdcs'>
			(dtdxfszdcs like '%$LIKEdtdxfszdcs$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='dtdxfszdcs'>
			(dtdxfszdcs = #dtdxfszdcs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEyxdlipsz'>
			(yxdlipsz like '%$LIKEyxdlipsz$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='yxdlipsz'>
			(yxdlipsz = #yxdlipsz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEdqx'>
			(dqx like '%$LIKEdqx$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='dqx'>
			(dqx = #dqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExqx'>
			(xqx like '%$LIKExqx$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xqx'>
			(xqx = #xqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEkqx'>
			(kqx like '%$LIKEkqx$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='kqx'>
			(kqx = #kqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEpqx'>
			(pqx like '%$LIKEpqx$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='pqx'>
			(pqx = #pqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKElxhfqx'>
			(lxhfqx like '%$LIKElxhfqx$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='lxhfqx'>
			(lxhfqx = #lxhfqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKElxxzqx'>
			(lxxzqx like '%$LIKElxxzqx$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='lxxzqx'>
			(lxxzqx = #lxxzqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKElxdjqx'>
			(lxdjqx like '%$LIKElxdjqx$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='lxdjqx'>
			(lxdjqx = #lxdjqx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEdldxh'>
			(dldxh like '%$LIKEdldxh$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='dldxh'>
			(dldxh = #dldxh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEusbkeymm'>
			(usbkeymm like '%$LIKEusbkeymm$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='usbkeymm'>
			(usbkeymm = #usbkeymm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEusbkeybh'>
			(usbkeybh like '%$LIKEusbkeybh$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='usbkeybh'>
			(usbkeybh = #usbkeybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEygjpzh'>
			(ygjpzh like '%$LIKEygjpzh$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ygjpzh'>
			(ygjpzh = #ygjpzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEygjpmm'>
			(ygjpmm like '%$LIKEygjpmm$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ygjpmm'>
			(ygjpmm = #ygjpmm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsfzh'>
			(sfzh like '%$LIKEsfzh$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sfzh'>
			(sfzh = #sfzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsfhyz'>
			(sfhyz like '%$LIKEsfhyz$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sfhyz'>
			(sfhyz = #sfhyz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsfzx'>
			(sfzx like '%$LIKEsfzx$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sfzx'>
			(sfzx = #sfzx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjqjsfw'>
			(jqjsfw like '%$LIKEjqjsfw$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jqjsfw'>
			(jqjsfw = #jqjsfw# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzdjqjsfw'>
			(zdjqjsfw like '%$LIKEzdjqjsfw$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zdjqjsfw'>
			(zdjqjsfw = #zdjqjsfw# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjry'>
			(cjry like '%$LIKEcjry$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjrq'>
			(cjrq like '%$LIKEcjrq$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExgry'>
			(xgry like '%$LIKExgry$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExgrq'>
			(xgrq like '%$LIKExgrq$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbz'>
			(bz like '%$LIKEbz$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEkz1'>
			(kz1 like '%$LIKEkz1$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='kz1'>
			(kz1 = #kz1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEkz2'>
			(kz2 like '%$LIKEkz2$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='kz2'>
			(kz2 = #kz2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEkz3'>
			(kz3 like '%$LIKEkz3$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='kz3'>
			(kz3 = #kz3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEkz4'>
			(kz4 like '%$LIKEkz4$%')
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='kz4'>
			(kz4 = #kz4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	<select id="login" resultClass="userbean" parameterClass="java.util.Map">
		select
		yhbh,khbh,sfgly,yhzh,yhmm,yhmc,yhmcpy,yhyxj,yhlx,jh,zp,gddh,sjhm,dh,yjdz,zz,ms,yhzt,sfjs,bmbh,khdlmtsjtx,dnkhdxdlkg,sjkhdxdlkg,dnusbkeydlkg,dtdxfszdcs,yxdlipsz,dqx,xqx,kqx,pqx,lxhfqx,lxxzqx,lxdjqx,dldxh,usbkeymm,usbkeybh,ygjpzh,ygjpmm,sfzh,sfhyz,sfzx,jqjsfw,zdjqjsfw,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
		from Ptyh
		<include refid="condition_test" />
	</select>


	
</sqlMap>











